summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMark Loeser <halcy0n@gentoo.org>2008-08-03 01:43:30 +0000
committerMark Loeser <halcy0n@gentoo.org>2008-08-03 01:43:30 +0000
commitda4e8fae15984c2fbd584cc9232bbef883edb3f5 (patch)
tree70f18fdcaef4947da682ded0c2fca26928b6789e /eclass
parentFix bug #220779; thanks to Andrew John Hughes <gnu_andrew AT member DOT fsf D... (diff)
downloadgentoo-2-da4e8fae15984c2fbd584cc9232bbef883edb3f5.tar.gz
gentoo-2-da4e8fae15984c2fbd584cc9232bbef883edb3f5.tar.bz2
gentoo-2-da4e8fae15984c2fbd584cc9232bbef883edb3f5.zip
Fix bug #220779; thanks to Andrew John Hughes <gnu_andrew AT member DOT fsf DOT org> and James Le Cuirot <chewi AT aura-online DOT co DOT uk>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass13
1 files changed, 12 insertions, 1 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 75a49a9cecb4..01479705c54f 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.358 2008/07/06 02:41:54 halcy0n Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.359 2008/08/03 01:43:30 halcy0n Exp $
#
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -340,6 +340,11 @@ get_gcc_src_uri() {
[[ -n ${D_VER} ]] && \
GCC_SRC_URI="${GCC_SRC_URI} d? ( mirror://sourceforge/dgcc/gdc-${D_VER}-src.tar.bz2 )"
+ # >= gcc-4.3 no longer bundles ecj.jar
+ tc_version_is_at_least "4.3" && \
+ GCC_SRC_URI="${GCC_SRC_URI}
+ gcj? ( ftp://sourceware.org/pub/java/ecj-${GCC_BRANCH_VER}.jar )"
+
echo "${GCC_SRC_URI}"
}
S=$(gcc_get_s_dir)
@@ -1066,6 +1071,12 @@ gcc_src_unpack() {
cp -pPR "${S}"/libstdc++-v3/config/cpu/i{4,3}86/atomicity.h
fi
+ # >= gcc-4.3 doesn't bundle ecj.jar anymore, so copy it
+ if [[ ${GCCMAJOR}.${GCCMINOR} > 4.2 ]] &&
+ use gcj ; then
+ cp -pPR "${DISTDIR}/ecj-${GCC_BRANCH_VER}.jar" "${S}/ecj.jar" || die
+ fi
+
# disable --as-needed from being compiled into gcc specs
# natively when using a gcc version < 3.4.4
# http://gcc.gnu.org/bugzilla/show_bug.cgi?id=14992